zenilib: zenilib/jni/external/zenilib/zeni_graphics/d3dx9shape.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
d3dx9shape.h File Reference
`#include "d3dx9.h"`

Go to the source code of this file.

## Macros

#define | D3DXCreateText D3DXCreateTextA

## Functions

HRESULT WINAPI | D3DXCreateBox (LPDIRECT3DDEVICE9 pDevice, FLOAT Width, FLOAT Height, FLOAT Depth, LPD3DXMESH *ppMesh, LPD3DXBUFFER *ppAdjacency)
HRESULT WINAPI | D3DXCreateCylinder (LPDIRECT3DDEVICE9 pDevice, FLOAT Radius1, FLOAT Radius2, FLOAT Length, UINT Slices, UINT Stacks, LPD3DXMESH *ppMesh, LPD3DXBUFFER *ppAdjacency)
HRESULT WINAPI | D3DXCreatePolygon (LPDIRECT3DDEVICE9 pDevice, FLOAT Length, UINT Sides, LPD3DXMESH *ppMesh, LPD3DXBUFFER *ppAdjacency)
HRESULT WINAPI | D3DXCreateSphere (LPDIRECT3DDEVICE9 pDevice, FLOAT Radius, UINT Slices, UINT Stacks, LPD3DXMESH *ppMesh, LPD3DXBUFFER *ppAdjacency)
HRESULT WINAPI | D3DXCreateTeapot (LPDIRECT3DDEVICE9 pDevice, LPD3DXMESH *ppMesh, LPD3DXBUFFER *ppAdjacency)
HRESULT WINAPI | D3DXCreateTextA (LPDIRECT3DDEVICE9 pDevice, HDC hDC, LPCSTR pText, FLOAT Deviation, FLOAT Extrusion, LPD3DXMESH *ppMesh, LPD3DXBUFFER *ppAdjacency, LPGLYPHMETRICSFLOAT pGlyphMetrics)
HRESULT WINAPI | D3DXCreateTextW (LPDIRECT3DDEVICE9 pDevice, HDC hDC, LPCWSTR pText, FLOAT Deviation, FLOAT Extrusion, LPD3DXMESH *ppMesh, LPD3DXBUFFER *ppAdjacency, LPGLYPHMETRICSFLOAT pGlyphMetrics)
HRESULT WINAPI | D3DXCreateTorus (LPDIRECT3DDEVICE9 pDevice, FLOAT InnerRadius, FLOAT OuterRadius, UINT Sides, UINT Rings, LPD3DXMESH *ppMesh, LPD3DXBUFFER *ppAdjacency)

## Macro Definition Documentation

#define D3DXCreateText D3DXCreateTextA

Definition at line 212 of file d3dx9shape.h.

## Function Documentation

HRESULT WINAPI D3DXCreateBox | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | FLOAT | Width,
|  | FLOAT | Height,
|  | FLOAT | Depth,
|  | LPD3DXMESH * | ppMesh,
|  | LPD3DXBUFFER * | ppAdjacency
| ) |  |

HRESULT WINAPI D3DXCreateCylinder | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | FLOAT | Radius1,
|  | FLOAT | Radius2,
|  | FLOAT | Length,
|  | UINT | Slices,
|  | UINT | Stacks,
|  | LPD3DXMESH * | ppMesh,
|  | LPD3DXBUFFER * | ppAdjacency
| ) |  |

HRESULT WINAPI D3DXCreatePolygon | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | FLOAT | Length,
|  | UINT | Sides,
|  | LPD3DXMESH * | ppMesh,
|  | LPD3DXBUFFER * | ppAdjacency
| ) |  |

HRESULT WINAPI D3DXCreateSphere | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | FLOAT | Radius,
|  | UINT | Slices,
|  | UINT | Stacks,
|  | LPD3DXMESH * | ppMesh,
|  | LPD3DXBUFFER * | ppAdjacency
| ) |  |

HRESULT WINAPI D3DXCreateTeapot | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | LPD3DXMESH * | ppMesh,
|  | LPD3DXBUFFER * | ppAdjacency
| ) |  |

HRESULT WINAPI D3DXCreateTextA | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | HDC | hDC,
|  | LPCSTR | pText,
|  | FLOAT | Deviation,
|  | FLOAT | Extrusion,
|  | LPD3DXMESH * | ppMesh,
|  | LPD3DXBUFFER * | ppAdjacency,
|  | LPGLYPHMETRICSFLOAT | pGlyphMetrics
| ) |  |

HRESULT WINAPI D3DXCreateTextW | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | HDC | hDC,
|  | LPCWSTR | pText,
|  | FLOAT | Deviation,
|  | FLOAT | Extrusion,
|  | LPD3DXMESH * | ppMesh,
|  | LPD3DXBUFFER * | ppAdjacency,
|  | LPGLYPHMETRICSFLOAT | pGlyphMetrics
| ) |  |

HRESULT WINAPI D3DXCreateTorus | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | FLOAT | InnerRadius,
|  | FLOAT | OuterRadius,
|  | UINT | Sides,
|  | UINT | Rings,
|  | LPD3DXMESH * | ppMesh,
|  | LPD3DXBUFFER * | ppAdjacency
| ) |  |